import { APIGatewayProxyEvent, APIGatewayProxyResult } from 'aws-lambda';
export interface DeallocateRequest {
    readonly outcome: string;
    readonly cleanupDurationSeconds?: number;
}
export interface DeallocateResponse {
    /**
     * How many seconds should the cleanup task run before timing out.
     *
     * Negative number means the cleanup will not run because the allocation has already ended.
     */
    readonly cleanupDurationSeconds: number;
}
export declare function handler(event: APIGatewayProxyEvent): Promise<APIGatewayProxyResult>;
