import * as iam from 'aws-cdk-lib/aws-iam';
import * as lambda from 'aws-cdk-lib/aws-lambda';
import * as sqs from 'aws-cdk-lib/aws-sqs';
import { Construct } from 'constructs';
import { Allocations, Environments } from '../storage';
/**
 * Properties for `Scheduler`.
 */
export interface SchedulerProps {
    /**
     * Environments storage.
     */
    readonly environments: Environments;
    /**
     * Allocations storage.
     */
    readonly allocations: Allocations;
}
/**
 * Scheduler layer.
 */
export declare class Scheduler extends Construct {
    readonly role: iam.Role;
    readonly dlq: sqs.Queue;
    readonly cleanupTimeoutFunction: lambda.Function;
    readonly allocationTimeoutFunction: lambda.Function;
    constructor(scope: Construct, id: string, props: SchedulerProps);
    grantSchedule(grantee: iam.IGrantable): void;
}
